Skip to main content
POST
/
realtime
/
v1
/
call
/
{id}
/
audio
/
stream
/
{streamId}
/
pause
Pause/Unpause Audio Stream
curl --request POST \
  --url https://realtime.govworx.net/realtime/v1/call/{id}/audio/stream/{streamId}/pause \
  --header 'Content-Type: application/json' \
  --data '{
  "paused": true
}'
{
  "streamId": "<string>",
  "paused": true,
  "positionSeconds": 123,
  "bufferDurationSeconds": 123,
  "pauseExpiresAtEpochSecond": 123
}

Path Parameters

id
string
required
streamId
string
required

Body

application/json
paused
boolean

Response

Pause state applied successfully

streamId
string
paused
boolean
positionSeconds
number<double>
mode
enum<string>

Playback mode. 'live' = at the live playhead; 'replay' = the call is still live but playback is offset behind the live playhead; 'recorded' = playing back a completed call recording.

Available options:
live,
replay,
recorded
bufferDurationSeconds
number<double>
pauseExpiresAtEpochSecond
integer<int64>

Epoch second when the pause will expire and the session will be closed. Null when the stream is not paused or when pause timeout is disabled. Re-sending the pause request resets this timer (heartbeat).